# $chan.matchmask

Matches a mask agains the channel list for a specific mode

Usage

    $chan.matchmask(<mode>,<complete_mask>[,window_id])

Description

Matches the provided <complete_mask> agains the mask list for channel mode <mode> on the channel identified by [window_id].
If no mask matches <complete_mask> an empty string is returned.
If [window_id] is empty, the current window is used.
If the window designated by [window_id] is not a channel a warning is printed and an empty string is returned.
Please note that some irc servers use channel list modes not only to store masks, but also for other data such as nicknames. This function should be able to match them as long as they are strings.

Syntax Specification

    <string> $chan.matchmask(<mode:char>,<complete_mask:string>[,window_id])

Index, Functions

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 13:56:02 2013